For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Truework.comAPI StatusGet your API key
HomeGuidesAPI referenceHelp
HomeGuidesAPI referenceHelp
    • Introduction
  • Using the API
    • Authentication
    • Versioning
    • Webhooks
    • Sandbox environment
    • Monitoring
    • Limits
  • Verification orders & reports
    • POSTCreate a target employer order
    • POSTCreate an employer search order
    • POSTCreate a Truework Direct order
    • GETGet one order
    • GETGet all orders
    • PUTCancel an order
    • GETGet one report
    • GETGet order events
    • POSTReverify a report
  • Public beta APIs
      • POSTCreate a qualification check request
      • GETGet one qualification check result
      • GETGet all qualification check sets
  • Previous API versions
    • API version 2022-08-01
    • API version 2020-12-07
    • API version 2019-10-15
LogoLogo
Truework.comAPI StatusGet your API key
Public beta APIsQualification checks (beta)

Create a qualification check request

Beta
POST
/qualification-checks
POST
/qualification-checks
$curl -X POST https://api.truework-sandbox.com/qualification-checks \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "property_details": {
> "rent": "2000.00"
> },
> "qualification_check_set_id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC27"
>}'
1{
2 "created": "2024-12-05T18:50:20.291247Z",
3 "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC28",
4 "kind": "applicant",
5 "metadata": {},
6 "property_details": {
7 "rent": "2000.00"
8 },
9 "qualification_check_set": {
10 "applicant_rent_to_income_ratio": "0.85",
11 "guarantor_rent_to_income_ratio": "0.85",
12 "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC27",
13 "income_multiple": "1.50",
14 "name": "Conventional 2024"
15 },
16 "result": {
17 "monthly_gross_income": "4600.00",
18 "monthly_gross_income_fidelity": "estimate",
19 "outcome": "qualified",
20 "rent_to_income_ratio": "0.85",
21 "report_results": [
22 {
23 "monthly_gross_income": "2340.00",
24 "monthly_gross_income_fidelity": "estimate",
25 "report_id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC29",
26 "satisfied_document_income_requirements": [
27 {
28 "end_date": "2023-01-31",
29 "file_type": "paystub",
30 "start_date": "2023-01-01"
31 }
32 ]
33 }
34 ]
35 }
36}
Creates a new qualification check and returns a JSON object with the resulting evaluation. <Warning> This endpoint is in beta and is subject to change. Please contact [implementations@truework.com](mailto:implementations@truework.com) for more information before integrating. </Warning>
Was this page helpful?
Previous

Get one qualification check result

Next
Built with

Creates a new qualification check and returns a JSON object with the resulting evaluation.

This endpoint is in beta and is subject to change. Please contact implementations@truework.com for more information before integrating.

Authentication

AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Request

property_detailsobjectRequired
qualification_check_set_idstringRequired
kindenumOptional
The kind of qualification check being requested, either for the applicant or guarantor.
Allowed values:
metadatamap from strings to strings or nullOptional

A single level key-value JSON object that can be used to store custom data on the qualification check; keys and values must be strings

order_idstring or nullOptional
order_idslist of strings or nullOptional
report_idslist of strings or nullOptional

Response headers

Datestring
For JSON requests, the date at which the request was signed
X-Truework-Signaturestring
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

Qualification Check Evaluation Created.
createddatetime
idstring
kindenum
The kind of qualification check that was performed, either for the applicant or guarantor
Allowed values:
metadatamap from strings to strings or null

A single level key-value JSON object that can be used to store custom data on the qualification check; keys and values must be strings

property_detailsobject
Details from the originally supplied property, including the rent target
qualification_check_setobject
resultobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error

Bearer tokens conform to the RFC6750 spec.

Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.

Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.

Examples

  • For Authorization Headers: Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be
  • For the “try it now” token field, input only the token itself, omitting Bearer .

For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures